# Uses of Interface
org.eclipse.jdt.core.IAnnotation

Packages that use IAnnotation
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of IAnnotation in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IAnnotation
Modifier and Type
Method
Description
`IAnnotation`
IAnnotatable.`getAnnotation(String name)`
Returns the annotation with the given name declared on this element.
`IAnnotation[]`
IAnnotatable.`getAnnotations()`
Returns the annotations for this element.